%global aname audioencoder.flac
%global kodi_version 20.0

Name:           kodi-addon-audioencoder-flac
Version:       20.2.0
Release:        %mkrel 2
Summary:     Flac Audio Encoder add-on for Kodi
Group:          Video
License:        GPLv2+
URL:            https://github.com/xbmc/audioencoder.flac
Source0:        %{aname}-%{version}-Nexus.tar.xz
BuildRequires: lib64flac++10-devel
BuildRequires: lib64flac12-devel
BuildRequires: kodi-devel
BuildRequires: lib64p8-platform-devel
Requires:       kodi >= %{kodi_version}

%description
%{summary}.

%prep
%setup -qn %{aname}-%{version}-Nexus

# Fix spurious-executable-perm on debug package
find . -name '*.h' -or -name '*.cpp' | xargs chmod a-x

%build
export LDFLAGS='-ldl -pthread -lpthread'

%cmake \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DBUILD_SHARED_LIBS=1

%make


%install
rm -rf %buildroot
%make_install -C build

# Fix permissions at installation
find $RPM_BUILD_ROOT%{_datadir}/kodi/addons/ -type f -exec chmod 0644 {} \;
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/kodi/addons/%{aname}/*.so

%files
%{_libdir}/kodi/addons/%{aname}/
%{_datadir}/kodi/addons/%{aname}/

%changelog
* Sat Apr 13 2024 tex - 20.2.0-2pclos2024
- rebuild against updates

* Wed Feb 01 2023 tex - 20.2.0-1pclos2023
- new version

* Mon Mar 14 2022 tex - 19.0.1-1pclos2022
- new vesion
